For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet a list of payments
      • POSTCreate a payment
      • GETGet a payment by ID
      • POSTRefund a payment
      • POSTAuthorize a payment
      • POSTVerify payment details
      • GETGet Payment Requests
      • GETGet a Payment Request by ID
  • Event API
LoginSandbox
Transaction APIPayments

Verify payment details

POST
/v:version/payments/verify-details
POST
/v:version/payments/verify-details
$curl -X POST https://api.solvimon.com/v1/payments/verify-details \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "payment_status": "string"
3}
Requires the PAYMENT.AUTHORIZE permission.
Was this page helpful?
Previous

Get Payment Requests

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
payment_acceptor_idstringOptional
payment_gateway_variantstringOptional
adyenobjectOptional

Response

OK
payment_statusstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error